Subject: [TR] steering wheel

From: Gary Nafziger <[email-masked]>
Date: Sun, 23 Sep 2012 19:51:08 -0700 (PDT)

On my tr-3 cracked steering wheel, I simply washed it up good with solvent and
then used a stick of epoxy to fill in the cracks.  This required several
applications until I got the cracks filled "proud" of the surface so I could
sand them down even with the surface.  Keep filling and sanding untill the
surface is completely smooth.  Then several good coats of paint did it.  I'm
very happy with the result.

gary n.

** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/archive
Forums: http://www.team.net/forums
Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]